.fi-tenant-menu {
    .fi-dropdown-panel {
        min-width: fit-content;
        margin-top: 2px;
        min-height: fit-content !important;
        max-height: fit-content !important;
    }

    margin: 14px;

    .fi-avatar {
        /* border-radius: 3.40282e38px; */
    }
}

.fi-sidebar-nav {
    .fi-tenant-menu {
        margin: -10px;
        margin-right: -6px;
        margin-bottom: -12px;
    }
}

.fi-sidebar-header,
.fi-topbar {
    height: 6rem !important;
}

.fi-topbar-end {
    margin-top: -6px;
}

.fi-simple-main {
    form {
        margin-top: 12px;
    }
}

[data-filepond-item-state="processing-complete"] .filepond--item-panel {
    background-color: #4f39f6;
}

.fi-auth-layout main>div:first-child {
    max-width: 525px !important;
    padding: 0px !important;
    margin: auto;
}

.fi-panel-app main .fi-page>section:first-child {
    min-height: 800px;
}

.fi-panel-app .fi-topbar-ctn nav>div:first-child {
    display: flex !important;
}

.app-menu ul li {
    width: 100% !important;

    button.fi-topbar-item-button {
        width: 100% !important;
        justify-content: start !important;

        svg:last-child {
            display: none;
        }
    }

    a {
        justify-content: start !important;
    }
}

.fi-breadcrumbs {
    margin-bottom: 1.5rem !important;
}

.fi-simple-main {
    --tw-ring-color: none;
}

.fi-sidebar-nav {
    border-top: 1px solid #eaeaea;
}

.fi-sc-form .fi-sc-component .fi-sc-actions,
.fi-ta-col-manager-actions-ctn,
.fi-page:not(.fi-dashboard-page) .fi-modal-footer .fi-modal-footer-actions:not(.flex-col-reverse) {
    display: flex;
    flex-direction: row-reverse;
    margin-top: 8px;
}

.app-col-manager-modal {
    .fi-ta-col-manager-heading {
        display: none;
    }

    .fi-ta-col-manager {
        border: 1px solid #ebebeb;
        padding: 2em;
        border-radius: 2em;
    }
}

.fi-sc-form .fi-sc-component .fi-fieldset .fi-sc-actions {
    display: flex;
    flex-direction: row;
}

.fi-auth-layout .fi-sc-form .fi-sc-actions {
    display: flex;
    flex-direction: column;
}

.fi-align-center .fi-modal-footer-actions {
    flex-direction: row !important;
    display: grid !important;
}

.fi-dropdown-panel {
    label {
        cursor: pointer;
    }
}

input[type="checkbox"] {
    cursor: pointer;
}

.fi-main.max-w-7xl {
    max-width: 85rem !important;
}

.fi-account-widget {
    .fi-avatar {
        height: 4rem !important;
        width: 4rem !important;
        margin-right: 0.3rem !important;
    }
}

.fi-wi-stats-overview-stat-content {
    row-gap: 1.5rem !important;
    margin-bottom: 1.5rem !important;
}

.fi-wi-stats-overview-stat-description {
    width: 100% !important;

    span {
        width: 100% !important;
    }
}

#livewire-error {
    padding: 0 !important;

    iframe {
        background-color: #fff !important;
    }
}

.fi-badge {
    padding: 3px 6px !important;
}

.fi-topbar-ctn {
    background: white;
    box-shadow: 0 3px 6px rgb(0 0 0 / 0.1);
    overflow-x: unset;
}

.fi-sidebar-header-ctn {
    border-bottom: 1px solid #eaeaea;
}

.fi-sidebar-nav {
    border-top: none;
}

.fi-ta-col-manager-items {
    padding-top: 16px;
    padding-bottom: 16px;
}

.fi-ta-col-manager-apply-action-ctn {
    display: flex;
    flex-direction: row-reverse;
}

.fi-dropdown-panel {
    min-width: fit-content;
}

.fi-layout {
    margin-bottom: -1px;
}

.fi-wi-chart-canvas-ctn {
    min-height: 300px !important;
    width: 100% !important;
}

.fi-modal-content {

    .fi-fo-builder-block-picker,
    .fi-fo-repeater-add {
        justify-content: center !important;
    }

    .fi-fo-builder-item-content {
        padding: 20px !important;
        border: 1px solid #eaeaea !important;
        border-radius: 0.75rem !important;
    }

    .fi-fo-builder-label-between-items-ctn {
        border: 0 !important;
        margin-top: 8px !important;
        margin-bottom: 8px !important;

        .fi-fo-builder-label-between-items-divider-before,
        .fi-fo-builder-label-between-items-divider-after {
            display: none !important;
        }
    }

    .fi-fo-repeater-label-between-items-ctn {
        border: 0 !important;
        margin-top: 8px !important;
        margin-bottom: 8px !important;

        .fi-fo-repeater-label-between-items-divider-before,
        .fi-fo-repeater-label-between-items-divider-after {
            display: none !important;
        }
    }
}

.fi-wi-chart-canvas-ctn {
    min-height: 300px !important;
    width: 100% !important;
}

:root,
:host {
    --spacing: 0.225rem;
    --text-sm: 0.8125rem;
    --text-base: 0.8125rem;
    --text-sm: 0.8125rem;
    --text-3xl: 1.5rem;
    --app-max-wd: 100%;
    --font-weight-bold: 600;
}

.fi-toggle {
    --spacing: 0.25rem;
}

.fi-select-input-ctn {
    .fi-scrollable {
        max-height: 375px !important;
    }
}

footer>* {
    max-width: var(--app-max-wd) !important;
    margin: auto;
}

.fi-topbar {
    max-width: var(--app-max-wd) !important;
    margin: 0 auto;
    --tw-ring-shadow: none;
}

.fi-topbar:nth-child(2) {
    height: 16px !important;
    padding: 0px 12px !important;
}

.fi-topbar-item.fi-active .fi-topbar-item-btn,
.fi-tabs-item.fi-active {
    background-color: var(--primary-100) !important;
}

.fi-topbar-ctn>.fi-topbar .fi-topbar-start {
    display: flex !important;
}

@media (max-width: 1023px) {
    .fi-topbar:nth-child(2) {
        display: none !important;
    }
}

.fi-auth-layout {
    .fi-logo {
        height: 70px !important;
        margin-bottom: 64px !important;
    }
}

.fi-auth-login {
    .fi-simple-header-subheading {
        display: none !important;
    }
}

.fi-wi-widget,
.fi-ta-ctn {
    animation: slideFromTop 0.25s ease-out;
}

@keyframes slideFromTop {
    from {
        opacity: 0;
        margin-top: -32px;
    }

    to {
        opacity: 1;
        margin-top: 0px;
    }
}

.fi-sc-component {
    animation: opacityFadeIn 0.2s ease-out;
}

@keyframes opacityFadeIn {
    from {
        opacity: 0.5;
    }

    to {
        opacity: 1;
    }
}

.fi-sc-section {
    transition: all 0.3s ease;
}

.fi-section-header-heading {
    font-size: var(--text-sm);
    line-height: var(--tw-leading, var(--text-sm--line-height));
    --tw-font-weight: var(--font-weight-medium);
    font-weight: var(--font-weight-medium);
    color: var(--gray-950);
}

.fi-topbar-item-label {
    font-size: 0.85rem !important;
}

.fi-wi-chart {
    .fi-wi-chart-canvas-ctn {
        min-height: 300px !important;
        max-height: 400px !important;
        width: 100% !important;
    }

    .fi-section-content-ctn {
        display: grid;
        grid-template-rows: 1fr;
        transition: all 0.3s ease;
    }

    .fi-section-content-ctn[aria-expanded="false"] {
        grid-template-rows: 0fr;
    }

    .fi-section-content {
        overflow: hidden;
    }
}

.app-capitalq-formula {
    display: flex;
    flex-direction: column;
    gap: 8px;

    hr {
        color: #a0a0a0;
    }

    span {
        text-align: center;
    }
}

.fi-panel-app,
.fi-panel-admin {
    .fi-main {
        margin-top: 1em;
        margin-bottom: 1em;
    }
}

.fi-fo-date-time-picker-calendar {
    gap: 12px !important;
    margin: 12px !important;
}

.fi-fo-date-time-picker .fi-fo-date-time-picker-calendar .fi-fo-date-time-picker-calendar-day.fi-selected {
    background-color: var(--primary-500) !important;
    color: white !important;
}

.fi-fo-date-time-picker-time-inputs {
    margin-top: 36px;
    border: 1px solid #eaeaea;
    border-radius: 8px;
    padding: 8px;
}

.fi-fo-date-time-picker-panel-header {
    margin-bottom: 36px;
    border: 1px solid #eaeaea;
    border-radius: 8px;
    padding: 8px;
}

.fi-topbar-nav-groups {
    column-gap: 6px;
}

.shadow-lg {
    --tw-shadow: 0 10px 15px -3px var(--tw-shadow-color, rgb(0 0 0 / 0.1)), 0 4px 6px -4px var(--tw-shadow-color, rgb(0 0 0 / 0.1));
}

@media (min-width: 650px) {

    html:has(.capitalq-auth) {
        background-color: #261d66;
    }

    body:has(.capitalq-auth) {

        background: linear-gradient(180deg, #1e00ff, #2a12e0, #2a12e0, #61618c);

        .fi-simple-main-ctn {
            content: '';
            position: absolute;
            inset: 0;
            background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25'%3E%3Cfilter id='noise'%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.75' numOctaves='3' stitchTiles='stitch'/%3E%3C/filter%3E%3Crect width='100%25' height='100%25' filter='url(%23noise)' opacity='0.4'/%3E%3C/svg%3E");
        }
    }

    .capitalq-auth {
        main {
            padding: 5em;
            border-radius: 3em;
            box-shadow: 6px 6px 6px rgb(0 0 0 / 0.1);
        }

        .capitalq-auth-form {
            animation: loginAnimation .3s ease-out;
            max-width: 650px;
        }
    }
}

.capitalq-email-verification {
    margin-top: 16px;

    .fi-sc-text {
        width: 100%;
        text-align: center !important;
    }
}

@keyframes loginAnimation {
    from {
        transform: scale(0.95);
    }

    to {
        transform: scale(1);
    }
}

.driver-popover {
    min-width: 560px !important;
    padding: 2em !important;
    border-radius: 1em !important;

    @media (max-width: 560px) {
        min-width: 100% !important;
    }

    .driver-popover-close-btn {
        font-size: 26px !important;
        color: #535353;
        top: 2px !important;
        right: 4px !important;
    }

    .driver-popover-title {
        margin-bottom: 32px !important;
        font-size: 1.5em !important;
    }

    .driver-popover-description {
        font-size: 0.875em !important;
    }

    footer {
        margin-top: 64px !important;

        justify-content: end !important;

        button {
            color: black !important;
            font-size: 0.875em;
            border: 1px solid rgb(221, 221, 221);
        }
    }
}

.driver-popover * {
    font-family: var(--font-family) !important;
}

.fi-sidebar {
    max-width: 270px;
    border-right: 1px solid rgb(232, 232, 232);
    --font-weight-medium: 600;
}

.fi-layout-sidebar-toggle-btn-ctn,
.fi-main-ctn {
    background-color: rgb(255, 255, 255);
}

.fi-sidebar {
    background-color: rgb(244, 244, 244);
    box-shadow: 1px 3px 6px rgb(0 0 0 / 0.1);
}

.fi-sidebar-item.fi-active>.fi-sidebar-item-btn,
.fi-sidebar-database-notifications-btn:hover,
.fi-tenant-menu-trigger:hover,
.fi-user-menu-trigger:hover,
.fi-sidebar-item>.fi-sidebar-item-btn:hover {
    background-color: oklch(93.403% 0.00011 271.152);
}

.fi-sidebar-footer {
    border-top: 1px solid rgb(232, 232, 232);
    margin: 0;
    padding: 0.5em;
}

.capitalq-sidebar-collapse {
    border-bottom: 1px solid rgb(232, 232, 232);

    .fi-topbar-open-collapse-sidebar-btn {
        margin: o auto;
        margin-top: 16px;
        margin-bottom: 16px;
        width: 100%;
    }

    .capitalq-sidebar-img-collapse {
        display: flex;
        align-items: center;
        margin: o auto;
        margin-top: 8px;
        margin-bottom: 8px;
        width: 100%;

        img {
            height: unset !important;
            width: 420px;
            padding-left: 16px;
        }
    }

    .fi-topbar-close-collapse-sidebar-btn {
        margin: o auto;
        margin-top: 12px;
        margin-bottom: 12px;
        width: 100%;
        justify-content: end;
        padding-right: 20px;
    }
}

.fi-sidebar-header-ctn {
    display: none;
}

@media (max-width: 1023px) {
    .capitalq-sidebar-collapse {
        & .capitalq-sidebar-img-collapse {
            img {
                width: 160px;
                margin-top: 16px;
                margin-bottom: 16px;
            }
        }
    }
}

html:has(.capitalq-report-stack) {
    .fi-ta-record:hover {
        transform: scale(1.025);
    }
}

.fi-topbar-end {
    li {
        list-style: none;
    }
}

.fi-sidebar-item-grouped-border-part,
.fi-sidebar-item-grouped-border,
.fi-sidebar-item-grouped-border-part-not-first {
    opacity: 0 !important;
}

.fi-sidebar-nav-groups {
    row-gap: 6px !important;
    margin-top: -24px !important;
}

.fi-sidebar-group-items {
    row-gap: 6px !important;
}

.fi-panel-admin {
    .fi-sidebar-nav-groups {
        margin-top: -12px !important;
    }
}

.fi-sidebar-group-btn {
    button {
        svg {
            opacity: 0 !important;
        }
    }
}

.fi-sidebar-group-btn:hover {
    button {
        svg {
            opacity: 1 !important;
        }
    }
}

.fi-sidebar-database-notifications-btn .fi-icon,
.fi-sidebar-footer .fi-sidebar-item-btn .fi-icon,
.fi-sidebar .fi-dropdown-trigger .fi-icon,
.fi-sidebar-item-icon,
.fi-sidebar-group-btn .fi-icon,
.fi-user-menu-trigger-text,
.fi-tenant-menu-trigger-tenant-name,
.fi-sidebar-group-label {
    color: var(--gray-700);
}

.fi-sidebar-group.fi-active .fi-sidebar-group-dropdown-trigger-btn .fi-icon,
.fi-sidebar-item.fi-active>.fi-sidebar-item-btn>.fi-icon {
    color: var(--primary-700);
}

.fi-sidebar-group-btn {
    border-radius: 0.5em;
}

.fi-sidebar-item:has(.fi-sidebar-item-grouped-border) {
    .fi-sidebar-item-label {
        font-weight: 500 !important;
    }
}

.fi-sidebar-group-btn:hover {
    background-color: rgb(233, 233, 233);
}

.fi-sidebar-open {

    .fi-user-menu-trigger .fi-avatar,
    .fi-tenant-menu-trigger .fi-avatar {
        margin-left: -3px;
    }

    .fi-sidebar-item-label,
    .fi-sidebar-group-label {
        margin-left: 3px;
    }

    .fi-sidebar-group[data-group-label]:not([data-group-label=""]) {
        .fi-sidebar-item:last-child {
            margin-bottom: 8px;
        }
    }
}